## Combine postprocessing files (multiple if restart is used)

import os, glob, shutil, sys, math
import numpy as np
import pandas as pd

nf = 3; ns = 50; nse = 6; nst = 3; 

path = os.getcwd() + "/postProcessing/"

typedirs = os.listdir(path)
    
for type in typedirs:

    if len(os.listdir(path+type+"/")) > 1:
        
        if not os.path.exists(path+type+"/restart"): os.makedirs(path+type+"/restart")
            
        timedirs = os.listdir(path+type+"/"); timedirs.remove("restart"); timedirs.sort();
        filenames = os.listdir(path+type+"/"+timedirs[0]+"/")
            
        for file in filenames:
            concatfile = pd.concat([pd.read_csv(path+type+"/"+time+"/"+file) for time in timedirs])
            concatfile.to_csv(path+type+"/restart/"+file,index=False)